package com.hzs.activity.pick.util;

import com.hzs.common.core.utils.StringUtils;

import java.math.BigDecimal;

/**
 * @Description: 提货工具
 * @Author: jiang chao
 * @Time: 2023/3/29 10:07
 * @Classname: PickUtil
 * @PackageName: com.hzs.web.util
 */
public class PickUtil {

    /**
     * 根据省获取复购提货邮费
     *
     * @param province 省编号
     * @return
     */
    public static BigDecimal getPurchasePickPostage(String province) {
        if (StringUtils.isNotEmpty(province)) {
            switch (province) {
                case "620000":
                case "460000":
                case "150000":
                case "630000":
                case "640000":
                case "540000":
                case "650000":
                    // 甘肃、海南、内蒙古、青海、宁厦、西藏、新疆，邮费20元
                    return new BigDecimal("20");
                default:
            }
        }
        // 其它地区，邮费0元
        return BigDecimal.ZERO;
    }

}
